CFETOOLIMPORT(1)

NAME
cfetool import - import the contents of a database from XML format

SYNOPSIS
cfetool import name --file|-f filename [--path|-p directory name] [--daily|-d] [--weekly|-w] [--yearly|-y] [--verbose|-v] [--help|-h]

DESCRIPTION
Creates a new database from it's XML representation, in the format created by rrdtool dump.

The -d, -w, and -y options specify which databases to create and look for in the dump, and may be combined. If they are all ommitted, the default is to only import the weekly database.

OPTIONS

--file|-f filename
    Specifies the XML file to restore.

--path|-p
    The directory in which to create the new database folder. If this argument is not provided, the current working directory will be used.

--daily|-d
    Create a database for recording daily patterns.

--weekly|-w
    Create a database for recording weekly patterns.

--yearly|-y
    Create a database for recording yearly patterns.

--verbose|-v
    Print details of the command's execution to the standard output stream.

--help|-h
    Print a short help message and then exit.

EXAMPLE
  % cfetool import temperature_copy --path /my/path --file ./temperature.xml

Create a new weekly database, "temperature_copy", in the "/my/path" directory, and import it's contents from the file "temperature.xml" in the current working directory.

AUTHORS
The code and documentation were contributed by Stanford Linear Accelerator Center, a department of Stanford University. This documentation was written by

Elizabeth Cassell <e_a_c@mailsnare.net> and
Alf Wachsmann <alfw@slac.stanford.edu>

COPYRIGHT AND DISCLAIMER
 Copyright 2004 Alf Wachsmann <alfw@slac.stanford.edu> and
                Elizabeth Cassell <e_a_c@mailsnare.net>
 All rights reserved.